summaryrefslogtreecommitdiffstats
path: root/source/a/btrfs-progs
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/btrfs-progs
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/a/btrfs-progs')
-rw-r--r--source/a/btrfs-progs/btrfs-progs-v4.5.3.tar.signbin0 -> 543 bytes
-rwxr-xr-xsource/a/btrfs-progs/btrfs-progs.SlackBuild40
-rw-r--r--source/a/btrfs-progs/btrfs-progs.url1
3 files changed, 26 insertions, 15 deletions
diff --git a/source/a/btrfs-progs/btrfs-progs-v4.5.3.tar.sign b/source/a/btrfs-progs/btrfs-progs-v4.5.3.tar.sign
new file mode 100644
index 000000000..008c3f67e
--- /dev/null
+++ b/source/a/btrfs-progs/btrfs-progs-v4.5.3.tar.sign
Binary files differ
diff --git a/source/a/btrfs-progs/btrfs-progs.SlackBuild b/source/a/btrfs-progs/btrfs-progs.SlackBuild
index 710c7eba2..fb901dbaf 100755
--- a/source/a/btrfs-progs/btrfs-progs.SlackBuild
+++ b/source/a/btrfs-progs/btrfs-progs.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -36,12 +36,12 @@ if ! /bin/ls $CWD/btrfs-progs*tar* 1> /dev/null 2> /dev/null ; then
rm -r $CWD/btrfs-progs
fi
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | cut -f 3 -d - | cut -f 1 -d .)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -56,9 +56,9 @@ rm -rf $PKG
mkdir -p $PKG
cd $TMP
-rm -rf btrfs-progs
+rm -rf btrfs-progs btrfs-progs-$VERSION
tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd btrfs-progs
+cd btrfs-progs-$VERSION || cd btrfs-progs || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -74,10 +74,20 @@ find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;
-# Build:
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/sbin \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+# Build and install:
make $NUMJOBS || make || exit 1
-
-# Install:
make install DESTDIR=$PKG || exit 1
# Strip binaries:
@@ -86,16 +96,16 @@ make install DESTDIR=$PKG || exit 1
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-# Move stuff out of /usr/local:
-mv $PKG/usr/local/bin $PKG/sbin
-mv $PKG/usr/local/man $PKG/usr/man
+# Move manpages:
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
-# Do not ship libraries/include files.
+# Do not ship libraries.
# If there becomes a use for these outside of btrfs-progs, let me know.
-rm -rf $PKG/usr/local
+rm -rf $PKG/usr/lib
# According to https://btrfs.wiki.kernel.org/index.php/FAQ#When_will_Btrfs_have_a_fsck_like_tool.3F
-# it is not recommended to make fsck.btrfs a no-op by linking it to /bin/true:
+# it is safe and recommended to make fsck.btrfs a no-op by linking it to /bin/true:
ln -sf /bin/true $PKG/sbin/fsck.btrfs
# Compress and link manpages, if any:
@@ -103,7 +113,7 @@ if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
for manpagedir in $(find . -type d -name "man*") ; do
( cd $manpagedir
- for eachpage in $( find . -type l -maxdepth 1) ; do
+ for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
ln -s $( readlink $eachpage ).gz $eachpage.gz
rm $eachpage
done
diff --git a/source/a/btrfs-progs/btrfs-progs.url b/source/a/btrfs-progs/btrfs-progs.url
new file mode 100644
index 000000000..c5bba3af5
--- /dev/null
+++ b/source/a/btrfs-progs/btrfs-progs.url
@@ -0,0 +1 @@
+ftp://ftp.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs